Jump to content
roberta

Transferir todos os produtos de versão antiga para a 1.6, como fazer?

Recommended Posts

Olá, tenho uma loja ainda na versão 1.3 e tenho que atualizar para a versão 1.6, mas como faço para migrar trocentos produtos para a nova loja que quero começar do zero? 

Fazer isso manualmente um por um é uma coisa de louco. Existe alguma forma rápida e eficiente para isso?

Grata.

Share this post


Link to post
Share on other sites

Roberta

 

Lembrando sempre que o 1-click upgrade depende de vários fatores técnicos do servidor. Se não tiver configurado 100%, provavelmente vai ter algum erro na atualização.

 

Logicamente você deve realizar um backup manual e fazer a atualização em um ambiente separado, para reiniciar, caso ocorra algum erro.

 

Bom trabalho pra vc.

Share this post


Link to post
Share on other sites

Unfortunately the version to which I refer is still the 1.3. so my difficulty.

 

 

Infelizmente a versão a que eu me refiro AINDA é a 1.3. por isso a minha dificuldade.

Edited by roberta (see edit history)

Share this post


Link to post
Share on other sites

Roberta

 

A versão não faz muita diferença.

Normalmente, se o servidor estiver bem configurado, a atualização pelo módulo funciona perfeitamente.

 

Particularmente, eu prefiro a sugestão da Conny (selectshop.at): Atualizar manualmente para 1.5.6.2, testar se está tudo OK com o tema default, e depois atualizar para 1.6.0.9 pelo 1-click Upgrade.

A chance de dar errado é menor.

Share this post


Link to post
Share on other sites

Como expert, eu preferia fazer primeiramente um upgrade manual pelo método antigo até a versao 1.5. Depois de ter testado os dados na versao 1.5. (funciona 100%) pelo método que escrevi no link acima, eu iria usar o módulo 1-clique para fazer um upgrade para PS 1.6.

A minha versao inicial também era 1.3.11. (fork alemao, que deu mais problemas ainda). Depois de ter consertado o meu banco de dados, ou seja colocado ele para 100% standard Prestashop (pois na versao alema faltavam um monte de tabelas no banco de dados) e fui atualizando a software a cada versao que saiu. Ainda possuo duas lojas que nao estao na versao 1.6. (mas também foram 1.3.), mas isto porcausa de módulos muito caros que eu estou usando e ainda nao tive tempo e $ para atualizar. ;-)

 

Siga o meu tutorial e vc. nao terá problemas. Mas por favor nunca faca experimentos com uma loja em producao. Clone a sua loja e copie em um sub-diretório no seu FTP, e nao esqueca de clonar também o banco de dados dando outro nome para nao confundir. A partir disto vc. pode trabalhar no seu clone tranquilamente.

Share this post


Link to post
Share on other sites

Acho que não me expliquei corretamente. Eu estou pretendendo criar uma loja nova mas importar os produtos da outra loja, não quero atualizar a antiga, quero partir do zero, só aproveitando os produtos da loja antiga.

Share this post


Link to post
Share on other sites

Mas e as imagens, como faço? na versão 1.6.9 é tudo diferente. Se coloco as imagens como na versão antiga nenhuma é encontrada...

Share this post


Link to post
Share on other sites

Se for atualizar Prestashop para Prestashop somente através de um upgrade mais comodo.;-)

Se for importar de uma outra software entao através de um csv. mapeado através do link da imagem.

 

Vc. deverá exportar as imagens principais do seu Prestashop antigo fazendo-as accessíveis com um link fixo e mapeando as mesmas no csv de importe.  Para isto o servidor deverá ter o módulo allow_fURL_open = ON, senao nao vai dar certo

 

Ou entao adicionar as imagens uma por uma manualmente após ter importado o resto.

Share this post


Link to post
Share on other sites

Estou muito chateada. Já fiz inúmeras tentativas para atualizar manualmente para a versão 1.5.0.1  Fiz tudo direitinho, conforme o tutorial que postaram, mas sempre que tento fazer a atualização dá esse erro:

This XML file does not appear to have any style information associated with it. The document tree is shown below.
<action result="fail" error="28"/>
 
Nunca tive problemas em fazer as atualizações (faço desde a versão 1.1) e agora isso.
Em tempo: estou em localhost, será esse o problema do erro?
Como posso resolver isso?

Share this post


Link to post
Share on other sites

Boas,

 

O erro 28 indica que já esta na versão para o qual fez update, talvez tenha feito mais do que uma tentativa. Quando o update esta feito nao pode repetir.

 

Cumps

Share this post


Link to post
Share on other sites

O erro diz, que já fez um update para a versao que atualizou. Vc. agora para fazer uma atualizacao para a versao PS 1.6. deverá desativar o tema que estava usando até agor para nao mais dar interferencias com scripts antigos e módulos que nao mais funcionam e ainda estao enganchados no banco de dados. Atualize agora com o módulo 1-click para a versao 1.6.

Share this post


Link to post
Share on other sites

Já estou ficando desesperada! Já tentei passar da 1.3 pra 1.5 umas quinhentas vezes e sempre dá algum erro. Agora está dando esse:

Parse error: syntax error, unexpected T_STRING in /Users/marsanna/Sites/presta/config/settings.inc.php on line 4

O que pode ser???? 

SOCORRO!!!

Share this post


Link to post
Share on other sites

Vc. acrescentou algo manualmente no seu ficheiro settings.inc.php ? Está dando erro. vc. ou entao esqueceu de fechar a linha com ;

 

ou entao esqueceu de fechar um ' ' na linha 4 do ficheiro em questao.

 

Veja também aqui outra explicacao se nao entender a minha: http://pt.kioskea.net/faq/9090-php-parse-error-unexpected-t-string-expecting-or

Share this post


Link to post
Share on other sites

Olha já estou ficando desanimada. Cada hora dá um erro. Já tirei, já coloquei a pasta trocistas vezes. Já troquei a base de dados... mas quando penso que vai dar certo aparece um erro.

Mas está página que v. enviou é muito boa, dá pra tirar bastante dúvidas.

O que acho é que o problema é mesmo com alguma coisa no setting.php , só que não consigo ENXERGAR o que pode ser.

Se meu servidor não estivesse exigindo que atualize a loja não ia nem mexer...deixava como está que está muito bom, mas estou sendo obrigada a atualizar...

Share this post


Link to post
Share on other sites

HM... o seu servidor está exigindo atualizacao ? Aonde ? Vc. está falando daquela mensagem no back-office que existe uma nova versao ?

 

Prestashop já veio instalado com o pacote de hosting que vc. comprou ? Se sim, entao provável que nao possa atualizar mesmo, sem que o seu provedor libere.

 

Quanto ao erro que está tendo, pode ser um erro da versao php que está usando. Se puder troque para outra (fale com o so seu provedor).

Quanto ao símbolo entre as aspas é o ' na tecla do #. Alguns servidores (php.versao antiga exigem no entanto o ACENTO como aspas. A melhor coisa é vc. trocar de versao php. conheco o problema de nao reconhecer as aspas corretamente somente em versoes php bem antigas (5.2 por ex.). Versao php 5.3.+ nao mais tem estes problemas.

Share this post


Link to post
Share on other sites

roberta

 

Com o servidor mal-configurado, provavelmente você não vai conseguir.

O ideal seria trocar de servidor, preferencialmente um VPS onde vc possa configurar tudo (opções naquele tutorial).

 

Outra opção é fazer o upgrade em localhost. Já tentou?

 

Se não tiver um ambiente local pronto, instale um pacote (WAMP, XAMPP, etc...) e configure todas as opções localmente e deixe-o online (com acesso à internet).

Depois, faça o upgrade manual para 1.5.6.2 (outro tutorial). 

Depois 1-click upgrade para 1.6.0.9.

 

Não sei também se vc tem alguma alteração nos arquivos do core (núcleo) do PrestaShop.

Neste caso, teria que refazer todas essas personalizações na nova loja.

 

Em último caso, contrate um servidor VPS de testes (muitos oferecem o primeiro mês grátis).

Ou contrate alguém para fazer este upgrade para você.

 

Boa sorte.

Share this post


Link to post
Share on other sites

Pois é localhost mesmo que estou tendo todos esses problemas. Tenho o Xamp e o Mamp e em nenhum deles estou conseguindo atualizar. Sempre tem algum erro e o que parece é no config, o setting.inc.php. Mas já virei de cabeça para baixo e não vejo nada de anormal...

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More